<div class="container">
  <div class="row justify-content-center h-100 align-items-center">
    <div class="col-md-6 col-12">
      <h1 class="text-center mb-5">Admin section</h1>

      <div class="text-center mb-5">
        <img src="/assets/images/logo.png" alt="Logo" height="100">
      </div>

      <form [formGroup]="form" (ngSubmit)="onSubmit(form.value)">
        <div class="mb-3">
          <label for="email" class="form-label">Email address</label>
          <input
            type="email"
            class="form-control"
            id="email"
            aria-describedby="emailHelp"
            formControlName="email">
          <div id="emailHelp" class="form-text">We'll never share your email with anyone else.</div>
          <app-form-error [form]="form.get('email')" fieldName="email"></app-form-error>
        </div>
        <div class="mb-3">
          <label for="password" class="form-label">Password</label>
          <input
            type="password"
            class="form-control"
            id="password"
            formControlName="password">
          <app-form-error [form]="form.get('password')" fieldName="password"></app-form-error>
          <div>{{form.get('password')?.touched}}</div>
        </div>
        <div class="d-grid">
          <button type="submit" class="btn btn-primary" [disabled]="form.invalid">Submit</button>
        </div>
      </form>
    </div>
  </div>
</div>
